#include<bits/stdc++.h>
using namespace std;

int main(){
	long long int t;
	cin>>t;
	for(i=0;i<t;i++){ cin>>n[i];
	for(j=0;j<n[i];j++) cin>>a[j];
	for(j=0;j<n[i];j++) b[j]=j;
	for(j=0;j<n[i]/2;j++) s=s+
	}
}
